%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
# debuginfo would be empty
%global debug_package %{nil}
%global module pymtp

Name:           python-pymtp
Version:        0.0.4
Release:        5%{?dist}
Summary:        A Pythonic wrapper around libmtp

Group:          Development/Libraries
License:        GPLv3+
URL:            http://downloads.nick125.com/projects/%{module}
Source0:        http://downloads.nick125.com/projects/%{module}/%{module}-latest.tar.bz2
# Make pymtp work with libmtp >= 1.0.0. Upstream seems inactive.
Patch0:         http://patch-tracker.debian.org/patch/series/dl/pymtp/0.0.4-2/adapt-to-libmtp8.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Depend on the libmtp soname provides of the correct arch
%global libmtp libmtp.so.9
%ifarch x86_64 ppc64 ia64 sparc64 s390x
%global mark64 ()(64bit)
%endif

BuildRequires:  python-devel
Requires:       %{libmtp}%{?mark64}

%description
A Pythonic wrapper around libmtp, allowing python applications to communicate
with MTP devices.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
# Examples are documentation, remove executable permission
chmod -x examples/*
# Remove the shebang to silence rpmlint
sed -i '1d' pymtp.py

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
# Install into python_sitearch for the arch-specific dependency
%{__python} setup.py install -O1 --skip-build --install-purelib $RPM_BUILD_ROOT%{python_sitearch}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING examples
%{python_sitearch}/PyMTP*
%{python_sitearch}/%{module}*


%changelog
* Wed Feb 20 2013 Nick Bryda <nick@fuduntu.org> - 0.0.4-5
- Built for Fuduntu

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 13 2011 Linus Walleij <triad@df.lth.se> 0.0.4-3
- Rebuilt for new - run-time compatible - libmtp

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.0.4-1
- Bump release for the first Fedora build

* Mon Nov 01 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.0.4-0.3
- Make the package arch-dependent and depend on the libmtp.so.8 soname
- Remove the shebang from pylint.py

* Fri Oct 15 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.0.4-0.2
- Use Debian's patch, which also fixes the examples
- Add Requires: libmtp

* Wed Oct 13 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.0.4-0.1
- Initial Fedora package
